package org.jboss.as.test.integration.ws.authentication;

import javax.annotation.security.DeclareRoles;
import javax.annotation.security.PermitAll;
import javax.annotation.security.RolesAllowed;
import javax.ejb.Stateless;
import javax.jws.WebMethod;
import javax.jws.WebService;

@WebService(serviceName = "EJB3AuthService", targetNamespace = "http://jbossws.org/authentication", endpointInterface = "org.jboss.as.test.integration.ws.authentication.EJBEndpointIface")
@Stateless
@DeclareRoles({ "AppUser", "AppGuest" })
public class EJBEndpoint implements EJBEndpointIface {

	@WebMethod
	public String helloStranger(String input) {
		return "Hello " + input + "!";
	}

	@PermitAll
	@WebMethod
	public String helloAuthenticated(String input) {
		return "Hello " + input + "!";
	}

	@RolesAllowed("AppUser")
	@WebMethod
	public String helloAuthorized(String input) {
		return "Hello " + input + "!";
	}
}
